Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.extras.module
Class ModularTilesInitializer

    java.lang.Object
      org.apache.tiles.extras.module.ModularTilesInitializer

All Implemented Interfaces:
  TilesInitializer

    public class ModularTilesInitializer

extends java.lang.Object
implements TilesInitializer

Loads Tiles modules, initializes them and destroy them at the end.
It loads all META-INF/MANIFEST.MF files, checks for the "Tiles-Initializer" property that must contain a valid class name of a `TilesInitializer`. After that, initializes all found initializers, one by one. When the `destroy()` method is called, all the initializers are then destroyed.

Since:
  2.2.1
Version:
  $Rev: 819196 $ $Date: 2009-09-26 21:38:30 +0200 (sab, 26 set 2009) $

Constructor Summary
`ModularTilesInitializer()`

Method Summary
`void` | `destroy()` Destroys the Tiles container.
`void` | `initialize(TilesApplicationContext preliminaryContext)` Initializes Tiles.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModularTilesInitializer

    public ModularTilesInitializer()

Method Detail

### initialize

    public void initialize(TilesApplicationContext preliminaryContext)

  Initializes Tiles.

  Specified by:
    `initialize` in interface `TilesInitializer`
  Parameters:
    `preliminaryContext` - The preliminary application context to use. It will be overwritten with the real instance later. Use a context usable under your current environment, like ServletTilesApplicationContext or PortletTilesApplicationContext.

### destroy

    public void destroy()

  Destroys the Tiles container.

  Specified by:
    `destroy` in interface `TilesInitializer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.